#ifndef _C4D_SYMBOLS_H_
#define _C4D_SYMBOLS_H_ 1



enum
{
    // Octane Export IDs
    IDS_OE_EXPORT = 1,
    IDS_OE_EXPORT_DESCR,
    IDS_OE_RENDER = 100,
    IDS_OE_RENDER_DESCR,
    IDS_OE_ABOUT  = 200,
    IDS_OE_ABOUT_DESCR,

    // Octane Export Dialog
    OE_EXPORT_DLG = 10000,
    IDS_EXPORT_DLG_TITLE,
    IDT_EXPORT_DLG_MAIN_TABS,
    IDT_EXPORT_DLG_MODE_TABS,

    IDG_OE_DLG_PROJECT_CONFIG = 10100,
    IDS_OE_DLG_OCTANE_BINARY,
    IDD_OE_DLG_OCTANE_BINARY,
    IDB_OE_DLG_OCTANE_BINARY,
    IDS_OE_DLG_OCTANE_BINARY_FS_TITLE,
    IDS_OE_DLG_PROJECT_PATH,
    IDD_OE_DLG_PROJECT_PATH,
    IDB_OE_DLG_PROJECT_PATH,
    IDS_OE_DLG_PROJECT_PATH_FS_TITLE,
    IDS_OE_DLG_PROJECT_NAME,
    IDD_OE_DLG_PROJECT_NAME,
    IDB_OE_DLG_USE_EXISTING_PROJECT,
    IDS_OE_DLG_NATIVE_UNIT,
    IDD_OE_DLG_NATIVE_UNIT,
    IDS_OE_DLG_NATIVE_UNIT_MM,
    IDS_OE_DLG_NATIVE_UNIT_CM,
    IDS_OE_DLG_NATIVE_UNIT_DM,
    IDS_OE_DLG_NATIVE_UNIT_M,
    IDS_OE_DLG_NATIVE_UNIT_DECM,
    IDS_OE_DLG_NATIVE_UNIT_HM,
    IDS_OE_DLG_NATIVE_UNIT_KM,
    IDS_OE_DLG_NATIVE_UNIT_IN,
    IDS_OE_DLG_NATIVE_UNIT_FT,
    IDS_OE_DLG_NATIVE_UNIT_YD,
    IDS_OE_DLG_NATIVE_UNIT_FL,
    IDS_OE_DLG_NATIVE_UNIT_MI,
    IDD_OE_DLG_USE_DOC_SCALE,
    IDB_OE_DLG_USE_EXISTING_PROJECT_FS_TITLE,
    IDG_OE_DLG_PROJECT,
    IDS_OE_DLG_RENDERTARGET,
    IDD_OE_DLG_RENDERTARGET,
    IDD_OE_DLG_RENDERTARGET_LIST,
    IDS_OE_DLG_RENDERTARGET_PREVIEW,
    IDB_OE_DLG_RENDERTARGET_ADD,
    IDB_OE_DLG_RENDERTARGET_REN,
    IDB_OE_DLG_RENDERTARGET_DEL,
    IDD_OE_DLG_COLLECT_IMAGES,

        ID_OE_DLG_NATIVE_UNIT_MM = 0,
        ID_OE_DLG_NATIVE_UNIT_CM,
        ID_OE_DLG_NATIVE_UNIT_DM,
        ID_OE_DLG_NATIVE_UNIT_M,
        ID_OE_DLG_NATIVE_UNIT_DECM,
        ID_OE_DLG_NATIVE_UNIT_HM,
        ID_OE_DLG_NATIVE_UNIT_KM,
        ID_OE_DLG_NATIVE_UNIT_IN,
        ID_OE_DLG_NATIVE_UNIT_FT,
        ID_OE_DLG_NATIVE_UNIT_YD,
        ID_OE_DLG_NATIVE_UNIT_FL,
        ID_OE_DLG_NATIVE_UNIT_MI,
        ID_OE_DLG_NATIVE_UNIT_NUMBER,

    IDG_OE_DLG_EXPORT_CONFIG = 10200,

    IDG_OE_DLG_FILM = 10300,
    IDD_OE_DLG_EXPORT_RESOLUTION,
    IDS_OE_DLG_RES_WIDTH,
    IDD_OE_DLG_RES_WIDTH,
    IDS_OE_DLG_RES_HEIGHT,
    IDD_OE_DLG_RES_HEIGHT,
    IDD_OE_DLG_RES_SCALE,
    IDS_OE_DLG_SCALE_100,
    IDS_OE_DLG_SCALE_75,
    IDS_OE_DLG_SCALE_50,
    IDS_OE_DLG_SCALE_25,

        ID_OE_DLG_SCALE_100 = 0,
        ID_OE_DLG_SCALE_75,
        ID_OE_DLG_SCALE_50,
        ID_OE_DLG_SCALE_25,
        ID_OE_DLG_SCALE_NUMBER,

    IDG_OE_DLG_CAMERA = 10400,
    IDD_OE_DLG_EXPORT_CAMERA,
    IDS_OE_DLG_ACTIVE_CAMERA,
    IDD_OE_DLG_ACTIVE_CAMERA,
    IDS_OE_DLG_RENDER_CAMERA,
    IDD_OE_DLG_EXPORT_LENS_APERTURE,
    IDD_OE_DLG_LENS_APERTURE,
    IDD_OE_DLG_EXPORT_FOCAL_DEPTH,
    IDD_OE_DLG_FOCAL_DEPTH,
    IDD_OE_DLG_EXPORT_MOTION_BLUR,
    IDS_OE_DLG_MOTION_BLUR,
    IDD_OE_DLG_MOTION_BLUR,
    IDS_OE_DLG_MOTION_BLUR_NEXT,
    IDS_OE_DLG_MOTION_BLUR_PREVIOUS,
    IDD_OE_DLG_FOCUS_OF_CAM_OBJECT,

        ID_OE_DLG_MOTION_BLUR_NEXT = 0,
        ID_OE_DLG_MOTION_BLUR_PREVIOUS,

    IDG_OE_DLG_DAYLIGHT_ENVIRON = 10500,
    IDD_OE_DLG_EXPORT_SUN_DIR,
    IDS_OE_DLG_SUN_LIGHT,
    IDD_OE_DLG_SUN_LIGHT,

    IDG_OE_DLG_GPU_DEVICES = 10600,
    IDD_OE_DLG_SPECIFY_GPU_DEV,
    IDD_OE_DLG_GPU_DEV,

    IDG_OE_DLG_EXPORT = 10700,

    IDG_OE_DLG_ANIMATION = 10900,
    IDS_OE_DLG_IMAGE_PATH,
    IDD_OE_DLG_IMAGE_PATH,
    IDB_OE_DLG_IMAGE_PATH,
    IDS_OE_DLG_START_FRAME,
    IDD_OE_DLG_START_FRAME,
    IDS_OE_DLG_END_FRAME,
    IDD_OE_DLG_END_FRAME,
    IDS_OE_DLG_STEP,
    IDD_OE_DLG_STEP,
    IDS_OE_DLG_PIXEL_SAMPLES,
    IDD_OE_DLG_PIXEL_SAMPLES,
    IDS_OE_DLG_PIXEL_SAMPLES_CUSTOM,
    IDS_OE_DLG_PIXEL_SAMPLES_VERY_LOW,
    IDS_OE_DLG_PIXEL_SAMPLES_LOW,
    IDS_OE_DLG_PIXEL_SAMPLES_MEDIUM_LOW,
    IDS_OE_DLG_PIXEL_SAMPLES_MEDIUM,
    IDS_OE_DLG_PIXEL_SAMPLES_MEDIUM_HIGH,
    IDS_OE_DLG_PIXEL_SAMPLES_HIGH,
    IDS_OE_DLG_PIXEL_SAMPLES_VERY_HIGH,
    IDD_OE_DLG_PIXEL_SAMPLES_CUSTOM,
    _IDB_OE_DLG_RENDER_ANIM,                      // deprecated
    IDS_OE_DLG_IMAGE_PATH_FS_TITLE,
    IDD_OE_DLG_ONLY_CAMERA_ANIMATION,
    IDS_OE_DLG_IMAGE_FORMAT,
    IDD_OE_DLG_IMAGE_FORMAT,
    IDS_OE_DLG_IMAGE_FORMAT_PNG8,
    IDS_OE_DLG_IMAGE_FORMAT_PNG16,
    IDS_OE_DLG_IMAGE_FORMAT_EXR,
    IDS_OE_DLG_IMAGE_FORMAT_EXR_TM,

        ID_OE_DLG_PIXEL_SAMPLES_CUSTOM      = 0,
        ID_OE_DLG_PIXEL_SAMPLES_VERY_LOW    = 8,
        ID_OE_DLG_PIXEL_SAMPLES_LOW         = 32,
        ID_OE_DLG_PIXEL_SAMPLES_MEDIUM_LOW  = 128,
        ID_OE_DLG_PIXEL_SAMPLES_MEDIUM      = 256,
        ID_OE_DLG_PIXEL_SAMPLES_MEDIUM_HIGH = 512,
        ID_OE_DLG_PIXEL_SAMPLES_HIGH        = 1024,
        ID_OE_DLG_PIXEL_SAMPLES_VERY_HIGH   = 4096,

        ID_OE_DLG_IMAGE_FORMAT_PNG8 = 0,
        ID_OE_DLG_IMAGE_FORMAT_PNG16,
        ID_OE_DLG_IMAGE_FORMAT_EXR,
        ID_OE_DLG_IMAGE_FORMAT_EXR_TM,

    IDG_OE_DLG_EXPORT_BUTTONS = 11000,
    IDB_OE_DLG_EXPORT_ONLY,
    IDB_OE_DLG_RENDER,
    IDB_OE_DLG_RENDER_ANIM,

    IDG_OE_DLG_EXPORT_STATE = 11100,
    IDG_OE_DLG_ANIM_MESSAGE,
    IDD_OE_DLG_ANIM_MESSAGE,
    IDB_OE_DLG_ANIM_CANCEL,
    IDS_OE_DLG_ANIM_MSG_RENDERING,
    IDS_OE_DLG_ANIM_MSG_FRAME_FAILED,
    IDS_OE_DLG_ANIM_MSG_FAILED,
    IDS_OE_DLG_ASK_CLOSE,


    // Error Strings
    IDS_ERROR_PATH_DOESNT_EXIST = 100000,
    IDS_ERROR_OBJ_EXPORT_FAILED,
    IDS_ERROR_COULD_NOT_LAUNCH_OCTANE
};



#endif  // #ifndef _C4D_SYMBOLS_H_
